Bug 1547589 - FFU: on 3 controller environment rabbitmq_init_bundle container only exits successfully on controller-0 during deploy_steps_playbook.yaml
Summary: FFU: on 3 controller environment rabbitmq_init_bundle container only exits su...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Michele Baldessari
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-21 15:05 UTC by Marius Cornea
Modified: 2018-06-27 13:46 UTC (History)
12 users (show)

Fixed In Version: puppet-tripleo-8.3.1-0.20180304033908.ed3285e.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:45:38 UTC
Target Upstream Version:
mbracho: needinfo+


Attachments (Terms of Use)
controller-0_rabbitmq_bundle_init.log (138.47 KB, text/plain)
2018-02-21 15:05 UTC, Marius Cornea
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1753949 None None None 2018-03-19 10:40:32 UTC
OpenStack gerrit 550741 None stable/queens: MERGED puppet-tripleo: Fix stack update with rabbitmq containers (I483fe61f09fa2c3034d2b3d8ffa1ca53feefe6af) 2018-03-14 14:20:54 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:46:11 UTC

Description Marius Cornea 2018-02-21 15:05:17 UTC
Created attachment 1398794 [details]
controller-0_rabbitmq_bundle_init.log

Description of problem:

During deploy steps rabbitmq_init_bundle only runs successfully on controller-0. On the other 2 controllers rabbitmq_init_bundle times out while trying to run the /usr/sbin/rabbitmqctl -q list_users' command.

Attaching the rabbitmq_init_bundle logs.

Comment 2 Michele Baldessari 2018-03-06 07:15:11 UTC
Sketching a first pass solution here: https://review.openstack.org/#/c/549787/

Comment 11 errata-xmlrpc 2018-06-27 13:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.